NUMFMT(1)

NAAM
numfmt - converteer getallen van/naar leesbare teksten

SAMENVATTING
numfmt [OPTIE]... [GETAL]...

BESCHRIJVING

Herformatteer GETAL(len), of de getallen van standaard invoer als er geen gegeven zijn.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

--debug
    waarschuwingen tonen bij ongeldige invoer

-d, --delimiter=X
    te gebruiken scheidingsteken (in plaats van witruimte)

--field=VELDEN
    replace the numbers in these input fields (default=1); see FIELDS below for details

--format=FORMAAT
    gebruik het printf drijvende komme getal formaat; zie FORMAAT hier onder voor details

--from=EENHEID
    auto-scale input numbers to UNITs; default is 'none'; see UNIT below for details

--from-unit=N
    de grootte van de invoereenheid (in plaats van 1)

--grouping
    use locale-defined grouping of digits, e.g. 1,000,000. This has no effect in the C/POSIX locale

--header[=N]
    de eerste N kopregels zonder converteren tonen; N is 1 wanneer niet opgegeven

--invalid=MODUS
    wat te doen bij ongeldige getallen; MODUS kan zijn: 'abort' (standaard), 'fail', 'warn', 'ignore'

--padding=N
    de uitvoer uitvullen tot dit aantal tekens; een positief getal lijnt rechts uit, een negatief getal links; uitvulling wordt genegeerd als de uitvoer breder is; standaard wordt uitgevuld als witruimte gevonden wordt

--round=METHODE
    te gebruiken afrondingsmethode bij herschalen; METHODE kan zijn: 'up', 'down', 'from-zero' (standaard), 'towards-zero', 'nearest'

--suffix=VOEGSEL
    dit achtervoegsel toevoegen aan uitvoergetallen, en accepteren bij invoergetallen

--unit-separator=SEP
    insert SEP between number and unit on output, and accept an optional SEP in input numbers

--to=EENHEID
    uitvoergetallen herschalen naar deze EENHEID (zie onder)

--to-unit=N
    de grootte van de uitvoereenheid (in plaats van 1)

-z, --zero-terminated
    regels afsluiten met 0-byte, niet met nieuweregel

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

  Mogelijkheden voor EENHEID zijn:

none
    geen automatische herschaling; achtervoegsels geven een fout

auto
    behalve optioneel enkele/twee letter achtervoegsel: 1K = 1000, 1k = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  behalve optioneel enkel letter achtervoegsel: 1k = 1000, 1K = 1000, 1M = 1000000, ...

iec behalve optioneel enkel letter achtervoegsel: 1K = 1024, 1k = 1024, 1M = 1048576, ...

iec-i
    behalve optioneel twee letter achtervoegsel: 1Ki = 1024, 1ki = 1024, 1Mi = 1048576, ...

  VELDEN ondersteund cut(1) stijl veld bereiken

N   N-de veld (tellend vanaf 1)

N-  van N-de veld tot het einde van de regel

N-M van N-de tot en met M-de veld

-M  van eerste tot en met M-de veld

-   alle velden

Meerdere velden en/of bereiken zijn mogelijk, gescheiden door komma's.

FORMAAT moet geschikt zijn om een drijvende komma getal "%f' af te drukken. Een optioneel aanhalingsteken (%´f) maakt --grouping mogelijk (als dat ondersteund wordt door de locale). Een optionele breedte waarde (%10f) zal de uitvoer opvullen. Een optionele nul (%010f) zal met nullen opvullen. Een optionele negatieve waarde (%-10f) zal links uitlijnen. De optionele precisie (%.1f) zal de door de invoer bepaalde precisie overschrijven.

Exit status is 0 if all input numbers were successfully converted. By default, numfmt will stop at the first conversion error with exit status 2. With --invalid='fail' a warning is printed for each conversion error and the exit status is 2. With --invalid='warn' each conversion error is diagnosed, but the exit status is 0. With --invalid='ignore' conversion errors are not diagnosed and the exit status is 0.

VOORBEELDEN

    $ numfmt --to=si 1000

    -> "1.0k"

    $ numfmt --to=iec 2048

    -> "2.0K"

    $ numfmt --to=iec-i 4096

    -> "4.0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTEUR
Geschreven door Assaf Gordon.

RAPPORTEREN VAN BUGS
Rapporteer gebreken aan bug-coreutils@gnu.org
Webpagina van GNU coreutils: <https://www.gnu.org/software/coreutils/>
Algemene hulp bij gebruik van GNU-software: <https://www.gnu.org/gethelp/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/numfmt>
of lokaal via: info '(coreutils) numfmt invocation'

Pakket gemaakt door Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.